<?php

class Common
{
    public $db;

    public function __construct()
    {
        $this->db = new mysqli(DB_SERVER, DB_USERNAME, DB_PASSWORD, DB_DATABASE);

        if (mysqli_connect_errno()) {

            echo "Error: Could not connect to database.";

            exit;

        }
    }
 public function isMobile() {
    return preg_match("/(android|avantgo|blackberry|bolt|boost|cricket|docomo|fone|hiptop|mini|mobi|palm|phone|pie|tablet|up\.browser|up\.link|webos|wos)/i", $_SERVER["HTTP_USER_AGENT"]);
}
    public function slug_exist($slug, $table, $content_id, $field_id)
    {
        if ($content_id == "") {
            $sql = mysqli_query($this->db, "SELECT str_slug from " . $table . " WHERE str_slug='$slug'");
            $num = mysqli_num_rows($sql);
            if ($num > 0) {
                $rand = rand(10, 50);
                $slugtext = $slug . "-" . $rand;
                return $slugtext;
            } else {
                return $slug;
            }
        } else {

            $sql = mysqli_query($this->db, "SELECT str_slug from " . $table . " WHERE " . $field_id . "='$content_id'");

            $sql_result = mysqli_fetch_array($sql);
            if ($sql_result['str_slug'] == $slug) {

                return $slug;
            } else {

                return generate_slug($slug, $table);

            }

        }
    }


    /********Image Upload*************/
    public function image_upload($file, $dir_name)
    {
        if (trim($file['name']) != "") {
            $uploaddir = "images/" . $dir_name . "/";
            $target_folder = "images/" . $dir_name . "/thumbnails/";
            $small_file_name = trim($file['name']);
            $small_file_len = strlen($small_file_name);
            $small_file_ext = strtolower(substr($small_file_name, -4)); // select last 4 characters
            $small_uploadfile = $uploaddir . $file['name'];
            if ($small_file_len > 4 and ($small_file_ext == ".jpg" or $small_file_ext == ".gif" or $small_file_ext == ".png" or $small_file_ext == ".pdf")) {
                $uniqname = uniqid(rand()) . $small_file_ext;
                $uploadfile = $uploaddir . $uniqname;    //uncomment for local testing
                $name_file = $file['name'];
                if (move_uploaded_file($file['tmp_name'], $uploadfile)) {
                    //if (move_uploaded_file($_FILES['frm_filename']['tmp_name'], $small_uploadfile)) {
                    $file_name = $uniqname;
                    //$file_name=$uploaddir.$file_name;
                } else {
                    $frm_server_side_error .= "frm_image_filename1";
                    $frm_error_number = 10;  //If upload fail
                }
                copy($uploaddir . $uniqname, $target_folder . $uniqname);
                $thumbnail = $target_folder . $uniqname;
                list($sourceWidth, $sourceHeight) = getimagesize($uploaddir . $uniqname);
                $targetWidth = 150; // This can be a set value or a percentage of original size ($width)
                $targetHeight = 150; //149 This can be a set value or a percentage of original size ($height)
                $sourceRatio = $sourceWidth / $sourceHeight;
                $targetRatio = $targetWidth / $targetHeight;

                if ($sourceRatio < $targetRatio) {
                    $scale = $sourceWidth / $targetWidth;
                } else {
                    $scale = $sourceHeight / $targetHeight;
                }
                $resizeWidth = (int)($sourceWidth / $scale);
                $resizeHeight = (int)($sourceHeight / $scale);
                // Load the images
                $thumb = imagecreatetruecolor($resizeWidth, $resizeHeight);
                if ($small_file_ext == ".png") {

                    $source = imagecreatefrompng($thumbnail);
                } elseif ($small_file_ext == ".gif") {

                    $source = imagecreatefromgif($thumbnail);
                } else {
                    $source = imagecreatefromjpeg($thumbnail);
                }


                // Resize the $thumb image.
                imagecopyresized($thumb, $source, 0, 0, 0, 0, $resizeWidth, $resizeHeight, $sourceWidth, $sourceHeight);
                // Save the new file to the location specified by $thumbnail
                imagejpeg($thumb, $thumbnail, 100);
            }

        }
        return $file_name;
    }

    /************End Image Upload********/


    public function escape_string($escape)
    {
        $escaped_variable = mysqli_real_escape_string($this->db, $escape);
        return $escaped_variable;
    }

    public function the_content($slug)
    {
        $sql_content = mysqli_query($this->db, "select * from tbl_content where str_slug='$slug'");
        $result_content = mysqli_fetch_array($sql_content);
        return $result_content;
    }

    public function the_services()
    {

        $sql_services = mysqli_query($this->db, "select * from tbl_services where int_status='1' order by int_order ASC");
        while ($result_ser = mysqli_fetch_array($sql_services)) {
            $services[] = $result_ser;
        }

        return $services;
    }
	public function the_storage()
    {

        $sql_storage = mysqli_query($this->db, "select * from tbl_storage where int_status='1' order by int_order ASC");
        while ($result_storage = mysqli_fetch_array($sql_storage)) {
            $storage[] = $result_storage;
        }

        return $storage;
    }
  public function the_services_limit()
    {

        $sql_services = mysqli_query($this->db, "select * from tbl_services where int_status='1' order by int_order ASC limit 0,3");
        while ($result_ser = mysqli_fetch_array($sql_services)) {
            $services[] = $result_ser;
        }

        return $services;
    }
	public function the_storage_limit()
    {

        $sql_services = mysqli_query($this->db, "select * from tbl_storage where int_status='1' order by int_order ASC limit 0,3");
        while ($result_ser = mysqli_fetch_array($sql_services)) {
            $services[] = $result_ser;
        }

        return $services;
    }
	
    public function the_slider()
    {
        $sql_slides = mysqli_query($this->db, "select str_image,str_title,str_link from tbl_rotator where int_status=1  order by int_order ASC");
        while ($result_slides = mysqli_fetch_array($sql_slides)) {
            $slides[] = $result_slides;
        }
        return $slides;
    }

    /***Pagination**/
    public function paginate($reload, $page, $tpages)
    {
        $adjacents = 2;
        $prevlabel = "&lsaquo; Prev";
        $nextlabel = "Next &rsaquo;";
        $out = "";
        // previous
        if ($page == 1) {
            $out .= "<li><span>" . $prevlabel . "</span>\n</li>";
        } elseif ($page == 2) {
            $out .= "<li><a  href=\"" . $reload . "\">" . $prevlabel . "</a>\n</li>";
        } else {
            $out .= "<li><span>" . $prevlabel . "</span></li>";
        }

        $pmin = ($page > $adjacents) ? ($page - $adjacents) : 1;
        $pmax = ($page < ($tpages - $adjacents)) ? ($page + $adjacents) : $tpages;
        for ($i = $pmin; $i <= $pmax; $i++) {
            if ($i == $page) {
                $out .= "<li  class=\"active\"><a href=''>" . $i . "</a></li>\n";
            } elseif ($i == 1) {
                $out .= "<li><a  href=\"" . $reload . "\">" . $i . "</a>\n</li>";
            } else {
                $out .= "<li><a  href=\"" . $reload . "&amp;page=" . $i . "\">" . $i . "</a>\n</li>";
            }
        }

        if ($page < ($tpages - $adjacents)) {
            $out .= "<a style='font-size:11px' href=\"" . $reload . "&amp;page=" . $tpages . "\">" . $tpages . "</a>\n";
        }
        // next
        if ($page < $tpages) {
            $out .= "<li><a  href=\"" . $reload . "&amp;page=" . ($page + 1) . "\">" . $nextlabel . "</a>\n</li>";
        } else {
            $out .= "<span style='font-size:11px'>" . $nextlabel . "</span>\n";
        }
        $out .= "";
        return $out;
    }

    /***End Of Pagination****/
    public function mysqli_result($res, $row, $col)
    {
        $numrows = mysqli_num_rows($res);
        if ($numrows && $row <= ($numrows - 1) && $row >= 0) {
            mysqli_data_seek($res, $row);
            $resrow = (is_numeric($col)) ? mysqli_fetch_row($res) : mysqli_fetch_assoc($res);
            if (isset($resrow[$col])) {
                return $resrow[$col];
            }
        }

    }

    public function home_testimonials()
    {
		$result = array();
        $sql_list_testimonial = mysqli_query($this->db, "select * from tbl_testimonial where int_status=1 limit 0,2");
        if (mysqli_num_rows($sql_list_testimonial) > 0) {
            while ($result_list_testimonial = mysqli_fetch_array($sql_list_testimonial)) {
                $result[] = $result_list_testimonial;
            }
        }
        return $result;
    }

    public function testimonials()
    {

        $result = array();
        $sql_list_testimonial = mysqli_query($this->db, "select * from tbl_testimonial where int_status=1");
        if (mysqli_num_rows($sql_list_testimonial) > 0) {
            while ($result_list_testimonial = mysqli_fetch_array($sql_list_testimonial)) {
                $result[] = $result_list_testimonial;
            }
        }
        return $result;
    }
 public function press()
    {

        $result = array();
        $sql_list_press = mysqli_query($this->db, "select * from tbl_press where int_status=1 order by int_order ASC");
        if (mysqli_num_rows($sql_list_press) > 0) {
            while ($result_list_press = mysqli_fetch_array($sql_list_press)) {
                $result[] = $result_list_press;
            }
        }
        return $result;
    }
 public function awards()
    {

        $result = array();
        $sql_list_awards= mysqli_query($this->db, "select * from tbl_awards where int_status=1 order by int_order ASC");
        if (mysqli_num_rows($sql_list_awards) > 0) {
            while ($result_list_awards = mysqli_fetch_array($sql_list_awards)) {
                $result[] = $result_list_awards;
            }
        }
        return $result;
    }	
	
	
	
    public function the_service_details($service_slug)
    {
        $sql_service = mysqli_query($this->db, "select * from tbl_services where str_slug='$service_slug'");
        $result_service = mysqli_fetch_array($sql_service);
        return $result_service;
    }
	 public function the_type_details($slug)
    {
        $sql_cartype = mysqli_query($this->db, "select * from tbl_cartypes where str_slug='$slug'");
        $result_cartype = mysqli_fetch_array($sql_cartype);
        return $result_cartype;
    }
	public function the_category_details($category_slug)
    {

        $sql_category = mysqli_query($this->db, "select * from tbl_category where str_slug='$category_slug'");
        $result_category = mysqli_fetch_array($sql_category);
        return $result_category;
    }
	public function the_maker_details($makerid)
    { 
        $sql_maker= mysqli_query($this->db, "select * from tbl_maker where int_maker_id='$makerid'");
        $result_maker = mysqli_fetch_array($sql_maker);
        return $result_maker;
    }


    public function the_country()
    {
        $result = array();
        $sql_country = mysqli_query($this->db, "select int_country_id,str_country_name from tbl_country");
        while ($result_country = mysqli_fetch_array($sql_country)) {
            $result[] = $result_country;
        }
        return $result;
    }

    public function user_exist($email)
    {
        $sql_user_exist = mysqli_query($this->db, "select count(str_email) as exist from tbl_subscribers where str_email='$email'");
        $result_user_exist = mysqli_fetch_array($sql_user_exist);
        if ($result_user_exist['exist'] > 0) {
            $error = "Username Exist Already";
            return $error;
        }
    }

    public function insert_subscriber($email)
    {
        mysqli_query($this->db, "insert into tbl_subscribers (str_email) values('$email')");
    }

    public function multiple_image_upload($file, $dir_name)
    {
        /*multiple image upload start*/
        for ($i = 0; $i < count($file['name']); $i++) {
            if (trim($file['name'][$i]) != "") {
                $uploaddir = "images/" . $dir_name . "/";
                $target_folder = "/images/" . $dir_name . "/thumbnails/";
                $small_file_name = trim($file['name'][$i]);
                $small_file_len = strlen($small_file_name);
                $small_file_ext = strtolower(substr($small_file_name, -4)); // select last 4 characters
                $small_uploadfile = $uploaddir . $file['name'][$i];
                if ($small_file_len > 4 and ($small_file_ext == ".png" or $small_file_ext == ".gif" or $small_file_ext == ".jpg")) {
                    $unid = uniqid(rand());
                    $name_to_db[] = $unid . $small_file_ext;
                    $uniqname = $unid . $small_file_ext;
                    $uploadfile = $uploaddir . $uniqname;    //uncomment for local testing
                    //echo $uploadfile;
                    if (move_uploaded_file($file['tmp_name'][$i], $uploadfile)) {
                        $file_name = $uniqname;
                        $file_name = $uploaddir . $file_name;
                        chmod($file_name, 0777);

                    }
                    list($sourceWidth, $sourceHeight) = getimagesize($uploaddir . $uniqname);

                    if ($sourceWidth > 500 || $sourceHeight > 500) {
                        $thumbnail = $uploaddir . $uniqname;
                        $targetWidth = 500; // This can be a set value or a percentage of original size ($width)
                        $targetHeight = 500; //149 This can be a set value or a percentage of original size ($height)
                        $sourceRatio = $sourceWidth / $sourceHeight;
                        $targetRatio = $targetWidth / $targetHeight;
                        if ($sourceRatio < $targetRatio) {
                            $scale = $sourceWidth / $targetWidth;
                        } else {
                            $scale = $sourceHeight / $targetHeight;
                        }
                        $resizeWidth = (int)($sourceWidth / $scale);
                        $resizeHeight = (int)($sourceHeight / $scale);
                        // Load the images
                        $thumb = imagecreatetruecolor($resizeWidth, $resizeHeight);
                        if ($small_file_ext == ".png") {

                            $source = imagecreatefrompng($thumbnail);
                        } elseif ($small_file_ext == ".gif") {

                            $source = imagecreatefromgif($thumbnail);
                        } else {
                            $source = imagecreatefromjpeg($thumbnail);
                        }


                        // Resize the $thumb image.
                        imagecopyresized($thumb, $source, 0, 0, 0, 0, $resizeWidth, $resizeHeight, $sourceWidth, $sourceHeight);
                        // Save the new file to the location specified by $thumbnail
                        imagejpeg($thumb, $thumbnail, 100);

                    }

                    list($sourceWidth, $sourceHeight) = getimagesize($uploaddir . $uniqname);
                    copy($uploaddir . $uniqname, $target_folder . $uniqname);
                    $thumbnail = $target_folder . $uniqname;
                    //list($sourceWidth, $sourceHeight) = getimagesize($uploaddir.$uniqname);
                    $targetWidth = 150; // This can be a set value or a percentage of original size ($width)
                    $targetHeight = 150; //149 This can be a set value or a percentage of original size ($height)
                    $sourceRatio = $sourceWidth / $sourceHeight;
                    $targetRatio = $targetWidth / $targetHeight;
                    if ($sourceRatio < $targetRatio) {
                        $scale = $sourceWidth / $targetWidth;
                    } else {
                        $scale = $sourceHeight / $targetHeight;
                    }
                    $resizeWidth = (int)($sourceWidth / $scale);
                    $resizeHeight = (int)($sourceHeight / $scale);
                    // Load the images
                    $thumb = imagecreatetruecolor($resizeWidth, $resizeHeight);
                    if ($small_file_ext == ".png") {

                        $source = imagecreatefrompng($thumbnail);
                    } elseif ($small_file_ext == ".gif") {

                        $source = imagecreatefromgif($thumbnail);
                    } else {
                        $source = imagecreatefromjpeg($thumbnail);
                    }


                    // Resize the $thumb image.
                    imagecopyresized($thumb, $source, 0, 0, 0, 0, $resizeWidth, $resizeHeight, $sourceWidth, $sourceHeight);
                    // Save the new file to the location specified by $thumbnail
                    imagejpeg($thumb, $thumbnail, 100);

                }

            }
        }

        return $name_to_db;


        /*multiple image upload ends*/

    }

    public function the_team()
    {
        $sql_team = mysqli_query($this->db, "select * from tbl_team where int_status='1' order by int_order ASC");
        while ($result_team = mysqli_fetch_array($sql_team)) {
            $team[] = $result_team;
        }
        return $team;
    }

    /**
     * @param int $id
     */
    public function get_team($team_id){
		
        $sql_team = mysqli_query($this->db, "select * from tbl_team where int_team_id= '$team_id'");
        $result_team = mysqli_fetch_array($sql_team);
        return $result_team;

    }

    public function the_partners()
    {
        $sql_partners = mysqli_query($this->db, "select * from tbl_maker where int_status='1' order by int_order ASC");
        while ($result_partner = mysqli_fetch_array($sql_partners)) {
            $partners[] = $result_partner;
        }
        return $partners;
    }

    public function the_contact()
    {
        $sql_contact = mysqli_query($this->db, "select * from tbl_contact where int_contact_id='1'");
        $result_contact = mysqli_fetch_array($sql_contact);
        return $result_contact;
    }
	
    public function the_categories()
    {
        $sql_category = mysqli_query($this->db, "select * from tbl_category where int_status=1 and int_parent_id=0 order by int_order ASC");
        while ($result_category = mysqli_fetch_array($sql_category)) {
        $categories[] = $result_category;
        }
        return $categories;
    }
	  public function the_cartypes()
    {
        $sql_cartypes = mysqli_query($this->db, "select * from tbl_cartypes where int_status=1 order by int_order ASC");
        while ($result_cartypes = mysqli_fetch_array($sql_cartypes)) {
        $cartypes[] = $result_cartypes;
        }
        return $cartypes;
    }
	 public function the_testimonial()
    {
		
        $sql_testimonial = mysqli_query($this->db, "select * from tbl_testimonial where int_status=1 order by int_order ASC");
        while ($result_testimonial = mysqli_fetch_array($sql_testimonial)) {
            $testimonials[] = $result_testimonial;
        }
		
        return $testimonials;
    }


    public function categoryname($category)
    {
		echo "select * from tbl_services where str_slug='$service'";
        $sql_category = mysqli_query($this->db, "select * from tbl_category where str_slug='$category'");
        $result_category = mysqli_fetch_array($sql_category);
        return $result_category;
    }
 public function servicename($service)
    {
        $sql_service = mysqli_query($this->db, "select * from tbl_services where str_slug='$service'");
        $result_service = mysqli_fetch_array($sql_service);
        return $result_service;
    }
public function parentcategory()
    {
        $sql_category = mysqli_query($this->db, "select * from tbl_category where int_parent_id=0");
        while($result_category = mysqli_fetch_array($sql_category)){
			$result[]=$result_category;
		}
        return $result;
    }
    public function the_products($category)
    {
    
       // $sql_designs = mysqli_query($this->db, "select tbl_products.	weight,tbl_products.units,tbl_products.defrost,tbl_products.bakingtmp,tbl_products.bakingtime,tbl_products.steam,tbl_products.str_image,tbl_products.movingimage,tbl_products.str_thumbnail, tbl_products.int_product_id, tbl_products.str_title,tbl_products.str_slug,tbl_products.str_description from tbl_products join tbl_category on tbl_products.int_category_id=tbl_category.int_category_id where tbl_products.int_status=1 and tbl_category.str_slug='$category'");
		//$catid=$this->categoryname($category);
		
$sql_designs = mysqli_query($this->db,"select tbl_products.str_image,tbl_products.price,tbl_products.quantity,tbl_products.discount,tbl_products.str_thumbnail, tbl_products.int_product_id, tbl_products.str_title,tbl_products.str_slug,tbl_products.str_description,tbl_category.str_slug as catslug from tbl_products join tbl_category on tbl_category.int_category_id = tbl_products.int_category_id where tbl_category.str_slug='$category'"); 

        return $sql_designs;

    }
public function the_projects()
{	
$sql_designs = mysqli_query($this->db,"select * from tbl_projects where int_status=1"); 
 return $sql_designs;
}
public function the_projects_services($serviceid)
{	
$sql_designs = mysqli_query($this->db,"select tbl_projects.str_title,tbl_projects.str_description,tbl_projects.str_image,tbl_product_service.int_service_id from tbl_projects join tbl_product_service on tbl_projects.int_project_id = tbl_product_service.int_project_id where int_status=1 and int_service_id='$serviceid' limit 0,8"); 
          while ($result_list_pjcts = mysqli_fetch_array($sql_designs)) {
                $result[] = $result_list_pjcts;
            }
			return $result;
}

public function the_service_projects($service_id)
{	

$sql_designs = mysqli_query($this->db,"select tbl_projects.int_project_id,tbl_projects.str_title,tbl_projects.str_image,tbl_projects.region from tbl_projects join tbl_product_service on tbl_projects.int_project_id=tbl_product_service.int_project_id  where int_status=1 and tbl_product_service.int_service_id='$service_id'"); 
 return $sql_designs;
}
public function the_sector_projects($categoryid)
{
$sql_designs = mysqli_query($this->db,"select tbl_projects.int_project_id,tbl_projects.str_title,tbl_projects.str_image,tbl_projects.region from tbl_projects join tbl_product_category on tbl_projects.int_project_id=tbl_product_category.int_project_id  where int_status=1 and tbl_product_category.int_category_id='$categoryid'"); 
 return $sql_designs;
}
public function the_region_projects($region)
{	
$sql_designs = mysqli_query($this->db,"select * from tbl_projects where int_status=1 and region='$region'"); 
 return $sql_designs;
}
 public function the_all_products()
    {
      $sql_designs = mysqli_query($this->db,"select tbl_products.str_image,tbl_products.price,tbl_products.quantity,tbl_products.discount,tbl_products.str_thumbnail, tbl_products.int_product_id, tbl_products.str_title,tbl_products.str_slug,tbl_products.str_description,tbl_category.str_slug as catslug from tbl_products join tbl_category on tbl_category.int_category_id = tbl_products.int_category_id order by int_product_id DESC limit 0,50");
	   return $sql_designs;
	}

    public function the_product_details($slug)
    {
		
        $sql_details = mysqli_query($this->db, "select  tbl_products.quantity,tbl_products.str_image,tbl_products.str_thumbnail, tbl_products.int_product_id, tbl_products.str_title,tbl_products.str_slug,tbl_products.str_description,weight,height,width,price,discount,tbl_products.metatitle,tbl_products.metakeywords,tbl_products.metadescription,tbl_category.str_slug as catslug,tbl_category.str_title as cattitle from tbl_products join tbl_category on tbl_category.int_category_id = tbl_products.int_category_id where tbl_products.str_slug='$slug'");
        $result_details = mysqli_fetch_array($sql_details);
        return $result_details;
    }
	public function product_details($id)
    {
        $sql_details = mysqli_query($this->db, "select * from tbl_products where int_product_id='$id'");
        $result_details = mysqli_fetch_array($sql_details);
        return $result_details;
    }
	public function gallery_details($id)
    {
        $sql_details = mysqli_query($this->db, "select * from tbl_gallery where int_gallery_id='$id'");
        $result_details = mysqli_fetch_array($sql_details);
        return $result_details;
    }
public function project_details($id)
    {
        $sql_details = mysqli_query($this->db, "select * from tbl_projects where int_project_id='$id'");
        $result_details = mysqli_fetch_array($sql_details);
        return $result_details;
    }
    public function list_product_images($pdt_id)
    {

        $result = array();
        $sql_list_images = mysqli_query($this->db, "select * from tbl_product_images where int_product_id='$pdt_id' order by int_image_id ASC");
        if (mysqli_num_rows($sql_list_images) > 0) {
            while ($result_list_images = mysqli_fetch_array($sql_list_images)) {
                $result[] = $result_list_images;
            }
        }
        return $result;
    }
	 public function list_project_images($pjct_id)
    {
	    $result = array();
        $sql_list_images = mysqli_query($this->db, "select * from tbl_project_images where int_project_id='$pjct_id' order by int_image_id ASC");
        if (mysqli_num_rows($sql_list_images) > 0) {
            while ($result_list_images = mysqli_fetch_array($sql_list_images)) {
                $result[] = $result_list_images;
            }
        }
        return $result;
    }
	
	 public function photographs()
    {
		
        $sql_images = mysqli_query($this->db, "select * from tbl_products where int_category_id=6 and int_status=1");
        while($result_images = mysqli_fetch_array($sql_images)){
       $result_img[]=$result_images ;
		}
		return $result_img;
		
    }
	public function list_news(){
	 	
	$sql_news=mysqli_query($this->db,"select * from tbl_events where int_status=1 and str_date <= CURDATE() order by str_date DESC");
	return $sql_news;	
    }
	public function list_news_limit_home(){
	 	
	$sql_news=mysqli_query($this->db,"select * from tbl_events where int_status=1 and str_date <= CURDATE() order by str_date DESC limit 0,5");
	while($result_list_news=mysqli_fetch_array($sql_news)){
			$results[]=$result_list_news;
		}
	return $results;	
    }
	public function list_news_limit(){
	 	
	$sql_news=mysqli_query($this->db,"select * from tbl_events where int_status=1 and str_date <= CURDATE() order by str_date DESC limit 0,1");
	$result_list_news=mysqli_fetch_array($sql_news);
			$results=$result_list_news;
		
	return $results;	
    }
	
public function subcategories_dropdown($catid,$c,$site_url){
	$sql_subcategories=mysqli_query($this->db,"select * from tbl_category where int_parent_id='$catid' and int_status=1 order by int_order ASC");
	if(mysqli_num_rows($sql_subcategories)>0){
		while($result_list_subcategories=mysqli_fetch_array($sql_subcategories)){
			$subcategories[]=$result_list_subcategories;
		}
	}
	//return $subcategories;
	$c=$c+1;
	if(mysqli_num_rows($sql_subcategories)>0){
		?>
         <ul>
        <?php
		foreach($subcategories as $subcategory){
					
						for($i=0;$i<$c;$i++){
						
						}
				    ?>
                    
                    <li><a href="<?php echo $site_url;?>category/<?php echo $subcategory['str_slug'];?>"><?php echo $subcategory['str_title'];?></a>
					<?php
					$subcategories=$this->subcategories_dropdown($subcategory['int_category_id'],1,$site_url);
					?>
                    </li>
                    <?php
					}
			?>
            </ul>
            <?php
	}
					
	
}
 public function list_catalogues()
    {

        $result = array();
        $sql_list_catalogues = mysqli_query($this->db, "select * from tbl_catalogue where int_status=1 order by int_order DESC");
        if (mysqli_num_rows($sql_list_catalogues) > 0) {
            while ($result_list_catalogues = mysqli_fetch_array($sql_list_catalogues)) {
                $result[] = $result_list_catalogues;
            }
        }
        return $result;
    }
	
public function getHeight($image) {
	
	$size = getimagesize($image);
	$height = $size[1];
	return $height;
}
//You do not need to alter these functions
public function getWidth($image) {
	$size = getimagesize($image);
	$width = $size[0];
	return $width;
}

public function the_all_testimonials()
    {
      $sql_testimonials = mysqli_query($this->db, "select * from  tbl_testimonial where int_status=1 order by int_status");
	   return $sql_testimonials;
	}

public function news_details($id)
    {
        $sql_details = mysqli_query($this->db, "select * from tbl_events where int_event_id='$id'");
        $result_details = mysqli_fetch_array($sql_details);
        return $result_details;
    }
public function gallery_images($slug)
    {

        $result = array();
        $sql_list_images = mysqli_query($this->db, "select tbl_gallery.str_image,tbl_gallery.str_title,tbl_gallery.str_description from tbl_gallery join tbl_category on tbl_gallery.int_category_id=tbl_category.int_category_id  where tbl_gallery.int_status=1 and tbl_category.str_slug='$slug' order by tbl_gallery.int_order ASC");
        if (mysqli_num_rows($sql_list_images) > 0) {
            while ($result_list_gallery = mysqli_fetch_array($sql_list_images)) {
                $result[] = $result_list_gallery;
            }
        }
        return $result;
    }
	
public function gallery_imagesfull()
    {

        $result = array();
        $sql_list_images = mysqli_query($this->db, "select tbl_gallery.int_gallery_id,tbl_gallery.str_image,tbl_gallery.str_title,tbl_gallery.str_description from tbl_gallery where tbl_gallery.int_status=1  order by tbl_gallery.int_order ASC");
        if (mysqli_num_rows($sql_list_images) > 0) {
            while ($result_list_gallery = mysqli_fetch_array($sql_list_images)) {
                $result[] = $result_list_gallery;
            }
        }
        return $result;
    }
public function gallery_imagesfull_home()
    {

        $result = array();
        $sql_list_images = mysqli_query($this->db, "select tbl_gallery.int_gallery_id,tbl_gallery.str_image,tbl_gallery.str_title,tbl_gallery.str_description from tbl_gallery where tbl_gallery.int_status=1  order by tbl_gallery.int_order ASC limit 0,2");
        if (mysqli_num_rows($sql_list_images) > 0) {
            while ($result_list_gallery = mysqli_fetch_array($sql_list_images)) {
                $result[] = $result_list_gallery;
            }
        }
        return $result;
    }

public function substr_close_tags($code, $limit = 50)
{
	if ( strlen($code) <= $limit )
	{
		return $code;
	}
	
	$html = substr($code, 0, $limit);
	preg_match_all ( "#<([a-zA-Z]+)#", $html, $result );
		
	foreach($result[1] AS $key => $value)
	{
		if ( strtolower($value) == 'br' )
		{
			unset($result[1][$key]);
		}
	}
	$openedtags = $result[1];
	
	preg_match_all ( "#</([a-zA-Z]+)>#iU", $html, $result );
	$closedtags = $result[1];
	
	foreach($closedtags AS $key => $value)
	{
		if ( ($k = array_search($value, $openedtags)) === FALSE )
		{
			continue;
		}
		else
		{
			unset($openedtags[$k]);
		}
	}
	
	if ( empty($openedtags) )
	{
		if ( strpos($code, ' ', $limit) == $limit )
		{
			return $html."...";
		}
		else
		{
			return substr($code, 0, strpos($code, ' ', $limit))."...";
		}
	}
	
	$position = 0;
	$close_tag = '';
	foreach($openedtags AS $key => $value)
	{	
		$p = strpos($code, ('</'.$value.'>'), $limit);
		
		if ( $p === FALSE )
		{
			$code .= ('</'.$value.'>');
		}
		else if ( $p > $position )
		{
			$close_tag = '</'.$value.'>';
			$position = $p;
		}
	}
	
	if ( $position == 0 )
	{
		return $code;
	}
		
	return substr($code, 0, $position).$close_tag."...";
}
 public function home_projects()
    {

        $result = array();
        $sql_projects = mysqli_query($this->db, "select * from tbl_projects where int_status=1 order by rand() limit 0,3");
        if (mysqli_num_rows($sql_projects) > 0) {
            while ($result_projects = mysqli_fetch_array($sql_projects)) {
                $result[] = $result_projects;
            }
        }
        return $result;
    }
public function the_careers(){	
	$sql_careers=mysqli_query($this->db,"select * from tbl_careers where int_status='1' order by int_order ASC");	
	while($result_careers=mysqli_fetch_array($sql_careers)){
		$careers[]=$result_careers;
	}	
	return $careers;
}
public function countries(){
	
	$sql_country=mysqli_query($this->db, "select * from  tbl_country");
	while($result_country=mysqli_fetch_array($sql_country)){
		$countries[]=$result_country;
	}


    return $countries;
}
public function the_project_categories($project_id){	
	$sql_categories=mysqli_query($this->db,"select tbl_category.str_title,tbl_category.str_slug,tbl_category.int_category_id from tbl_category join tbl_product_category on 
tbl_category.int_category_id=tbl_product_category.int_category_id where tbl_product_category.int_project_id='$project_id' group by tbl_category.str_title");	
	while($result_cats=mysqli_fetch_array($sql_categories)){
		$cats[]=$result_cats;
	}	
	return $cats;
}

public function the_project_services($project_id){	
	$sql_services=mysqli_query($this->db,"select tbl_services.str_title,tbl_services.str_slug,tbl_services.int_service_id from tbl_services join tbl_product_service on 
tbl_services.int_service_id=tbl_product_service.int_service_id where tbl_product_service.int_project_id='$project_id' group by tbl_services.str_title");	
	while($result_services=mysqli_fetch_array($sql_services)){
		$services[]=$result_services;
	}	
	return $services;
}
public function region($region){
	if($region=="usa"){
		echo "USA";
	}
	if($region=="middle-east"){
		echo "Middle East";
	}
	if($region=="europe"){
		echo "Europe";
	}
	if($region=="africa"){
		echo "Africa";
	}
	if($region=="asia"){
		echo "Asia";
	}
	 
}
public function totalprojects(){
	
	$sql_total=mysqli_query($this->db, "select count(*) as total from  tbl_projects where int_status=1");
	 $result=mysqli_fetch_array($sql_total);
		echo $result['total'];
	  
}
public function all_cars() { 
	
				  $sql_cars=mysqli_query($this->db,"select str_title from tbl_cars  where int_status=1");
					while($result_sql_cars=mysqli_fetch_array($sql_cars)){
						$result[]=$result_sql_cars;
					}
				  return $result;
			  }
public function all_cars_home() { 
	
				  $sql_cars=mysqli_query($this->db,"select * from tbl_cars  where int_status=1 limit 0,25");
					while($result_sql_cars=mysqli_fetch_array($sql_cars)){
						$result[]=$result_sql_cars;
					}
				  return $result;
			  }
public function featuredcars() { 
	
				  $sql_cars=mysqli_query($this->db,"select * from tbl_cars join tbl_car_features on tbl_cars.int_car_id = tbl_car_features.int_car_id where int_top_deal=1 and tbl_cars.int_status=1 limit 0,8");
					while($result_sql_cars=mysqli_fetch_array($sql_cars)){
						$result[]=$result_sql_cars;
					}
				  return $result;
			  }
			  	
			  			  
public function car_details($slug) { 
	
				  $sql_list_details=mysqli_query($this->db,"select * from tbl_cars join tbl_car_features on tbl_cars.int_car_id = tbl_car_features.int_car_id where str_slug='$slug'");
					 $result_list_details=mysqli_fetch_array($sql_list_details);
				 
				  return $result_list_details;
			  }
 public function car_maker_model($model_id) { 

				  $sql_maker=mysqli_query($this->db,"select * from tbl_maker where int_maker_id='$model_id'");
					 $result_list_details=mysqli_fetch_array($sql_maker);
				  return $result_list_details;
			  }
public function list_all_car_image($car_id) { 
	
				  $result=array(); 
				  $sql_list_images=mysqli_query($this->db,"select * from tbl_car_images where int_car_id='$car_id' order by rand()");
				  if(mysqli_num_rows($sql_list_images)>0){
					  while($result_list_images=mysqli_fetch_array($sql_list_images)){
						  $result[]=$result_list_images;
					  }
				  }
				  return $result;
			  }
public function car_appliances($car_id) {

				  $sql_appliances=mysqli_query($this->db,"select * from tbl_appliances join tbl_car_appliances on tbl_appliances.int_appliance_id = tbl_car_appliances.int_appliance_id where int_car_id='$car_id'");
					if(mysqli_num_rows($sql_appliances)>0){
					  while($result_list_appliances=mysqli_fetch_array($sql_appliances)){
						  $result[]=$result_list_appliances;
					  }
				  }
				  return $result;
			  }	
public function all_cars_in_types() { 
		  
				  $sql_list_top=mysqli_query($this->db,"select * from tbl_cars join tbl_car_features on tbl_cars.int_car_id = tbl_car_features.int_car_id where tbl_cars.int_status='1' order by year DESC");
				 
				 /* if(mysqli_num_rows($sql_list_top)>0){
					  while($result_list_top=mysqli_fetch_array($sql_list_top)){
						  $result[]=$result_list_top;
					  }
				  }*/
				  return $sql_list_top;
			  }
public function list_makers() { 
				  $sql_list_maker=mysqli_query($this->db,"select * from tbl_maker where int_status=1");
				  
					  while($result_list_maker=mysqli_fetch_array($sql_list_maker)){
						  $result[]=$result_list_maker;
					  
				  }
				  return $result;
			  }
public function list_years() { 
				  $sql_list_year=mysqli_query($this->db,"select year from tbl_cars where int_status=1 and year !='' group by year");
				  
					  while($result_list_year=mysqli_fetch_array($sql_list_year)){
						  $result[]=$result_list_year;
					  
				  }
				  return $result;
			  }
			  
public function search_cars($search_maker,$search_year,$pricefrom,$priceto,$duration) { 
 
$sql="select * from tbl_cars where int_status=1";
if($search_maker!=""){
	$sql.=" and int_maker_id='$search_maker'";
}
if($search_year!=""){
	$sql.=" and year='$search_year'";
}
if($duration!=""){
	 if($pricefrom!=""){
	$sql1=" and ".$duration.">='$pricefrom'";
     }
	  if($priceto!=""){
	$sql1=" and ".$duration."<='$priceto'";
     }
	 if($pricefrom!="" && $priceto!=""){
		 $sql1=" and ".$duration." between '$pricefrom' and '$priceto'";
	 }
	
}
$sql=$sql.$sql1;

				  $sql_list_top=mysqli_query($this->db,$sql);
				 
				 /* if(mysqli_num_rows($sql_list_top)>0){
					  while($result_list_top=mysqli_fetch_array($sql_list_top)){
						  $result[]=$result_list_top;
					  }
				  }*/
				  return $sql_list_top;
			  }
			  
}
?>